DocEngine (Grails 6.0.0)

Package: grails.doc

## [Groovy] Class DocEngine

- grails.doc.DocEngine

- All Implemented Interfaces and Traits:
    org.radeox.api.engine.WikiRenderEngine

      class DocEngine
      extends org.radeox.engine.BaseRenderEngine
      implements org.radeox.api.engine.WikiRenderEngine

  A Radeox Wiki engine for generating documentation using a confluence style syntax.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.Object` | `ALIAS` |
    `private static java.lang.Object` | `API_BASE_PATH` |
    `private static java.lang.Object` | `API_CONTEXT_PATH` |
    `private static java.lang.Object` | `BASE_DIR` |
    `private static java.lang.Object` | `CONTEXT_PATH` |
    `private static java.lang.Object` | `EXTERNAL_DOCS` |
    `private static java.lang.Object` | `RESOURCES_CONTEXT_PATH` |
    `private static java.lang.Object` | `SOURCE_FILE` |
    `private java.lang.Object` | `basedir` |
    `private java.util.Properties` | `engineProperties` |
    `private java.lang.Object` | `macroFilter` |
    `private java.lang.Object` | `macroLoader` |
    `private static java.lang.Object` | `nameCache` | Converts a property name into its natural language equivalent eg ('firstName' becomes 'First Name')

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.radeox.engine.BaseRenderEngine` | `NAME`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.Object` | `ALIAS`
    `static java.lang.Object` | `API_BASE_PATH`
    `static java.lang.Object` | `API_CONTEXT_PATH`
    `static java.lang.Object` | `BASE_DIR`
    `static java.lang.Object` | `CONTEXT_PATH`
    `static java.lang.Object` | `EXTERNAL_DOCS`
    `static java.lang.Object` | `RESOURCES_CONTEXT_PATH`
    `static java.lang.Object` | `SOURCE_FILE`
    `java.util.Properties` | `engineProperties`
    `static java.lang.Object` | `nameCache` Converts a property name into its natural language equivalent eg ('firstName' becomes 'First Name')

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DocEngine (org.radeox.api.engine.context.InitialRenderContext context)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addMacro(java.lang.Object macro)`
    `` | `void` | `appendCreateLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)`
    `` | `void` | `appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view, java.lang.String anchor)`
    `` | `void` | `appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)`
    `` | `private void` | `emitWarning(java.lang.String name, java.lang.String ref, java.lang.String type)`
    `` | `boolean` | `exists(java.lang.String name)`
    `` | `java.lang.String` | `getNaturalName(java.lang.String name)`
    `` | `protected void` | `init()`
    `` | `boolean` | `showCreate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.radeox.engine.BaseRenderEngine` | `org.radeox.engine.BaseRenderEngine#getInitialRenderContext(), org.radeox.engine.BaseRenderEngine#render(java.lang.String, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#render(java.io.Reader, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#render(java.io.Writer, java.lang.String, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#getName(), org.radeox.engine.BaseRenderEngine#wait(long), org.radeox.engine.BaseRenderEngine#wait(long, int), org.radeox.engine.BaseRenderEngine#wait(), org.radeox.engine.BaseRenderEngine#equals(java.lang.Object), org.radeox.engine.BaseRenderEngine#toString(), org.radeox.engine.BaseRenderEngine#hashCode(), org.radeox.engine.BaseRenderEngine#getClass(), org.radeox.engine.BaseRenderEngine#notify(), org.radeox.engine.BaseRenderEngine#notifyAll()`

- - ### Field Detail

    - #### private static java.lang.Object ALIAS

    - #### private static final java.lang.Object API_BASE_PATH

    - #### private static final java.lang.Object API_CONTEXT_PATH

    - #### private static final java.lang.Object BASE_DIR

    - #### private static final java.lang.Object CONTEXT_PATH

    - #### private static java.lang.Object EXTERNAL_DOCS

    - #### private static final java.lang.Object RESOURCES_CONTEXT_PATH

    - #### private static final java.lang.Object SOURCE_FILE

    - #### private java.lang.Object basedir

    - #### private java.util.Properties engineProperties

    - #### private java.lang.Object macroFilter

    - #### private java.lang.Object macroLoader

    - #### private static final java.lang.Object nameCache

      Converts a property name into its natural language equivalent eg ('firstName' becomes 'First Name')

      Parameters:
        `name` - The property name to convert
      Returns:
        The converted property name

  - ### Property Detail

    - #### static java.lang.Object ALIAS

    - #### static final java.lang.Object API_BASE_PATH

    - #### static final java.lang.Object API_CONTEXT_PATH

    - #### static final java.lang.Object BASE_DIR

    - #### static final java.lang.Object CONTEXT_PATH

    - #### static java.lang.Object EXTERNAL_DOCS

    - #### static final java.lang.Object RESOURCES_CONTEXT_PATH

    - #### static final java.lang.Object SOURCE_FILE

    - #### java.util.Properties engineProperties

    - #### static final java.lang.Object nameCache

      Converts a property name into its natural language equivalent eg ('firstName' becomes 'First Name')

      Parameters:
        `name` - The property name to convert
      Returns:
        The converted property name

  - ### Constructor Detail

    - #### DocEngine(org.radeox.api.engine.context.InitialRenderContext context)

  - ### Method Detail

    - #### void addMacro(java.lang.Object macro)

    - #### void appendCreateLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)

    - #### void appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view, java.lang.String anchor)

    - #### void appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)

    - #### private void emitWarning(java.lang.String name, java.lang.String ref, java.lang.String type)

    - #### boolean exists(java.lang.String name)

    - #### java.lang.String getNaturalName(java.lang.String name)

    - #### protected void init()

    - #### boolean showCreate()